slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNCreate

Creates the default MFN context.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNCreate(MPI_Comm comm,MFN *outmfn)

Collective

### Input Parameter

| comm | - MPI communicator

### Output Parameter

| outmfn | - location to put the MFN context

### Note

The default MFN type is MFNKRYLOV

### See Also

MFNSetUp(), MFNSolve(), MFNDestroy(), MFN

### Level

beginner

### Location

src/mfn/interface/mfnbasic.c

### Examples

src/eps/tutorials/ex36.c
src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex23f.F90
src/mfn/tutorials/ex26.c
src/mfn/tutorials/ex37.c
src/mfn/tutorials/ex39.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages